Proxy - PATCH requests
Requires an API key with the environment:proxy scope. Learn more about API key scopes.
API request
The path, query params, and headers you send to the Proxy are all passed on to the external API, except for the configuration headers mentioned here:
- Authorization: See Tenklo API Authentication. Tenklo will add a new Authorization header for the external API as needed.
- Provider-Config-Key
- Connection-Id
- Retries
API response
The response from the external API is passed back to you exactly as Tenklo gets it:
- Response code
- Response headers
- Response body
Make a PATCH request with the Proxy.
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
anyPath*stringConnection-Id*stringThe connection ID used to create the connection.
Provider-Config-Key*stringThe integration ID used to create the connection (aka Unique Key).
Retries?stringThe number of retries in case of failure (with exponential back-off). Optional, default 0.
Base-Url-Override?stringProvide an API base URL when the base API is not listed in the providers.yaml or it needs to be overridden. Optional
Decompress?stringOverride the decompress option when making requests. Optional, defaults to false
nango-proxy-$ANY_HEADER?stringAny other headers you send are passed on to the external API
application/json- body
$ANY_BODY_PARAMS?stringThe response exactly as returned by the external API
curl -X PATCH 'https://api.tenklo.dev/proxy/string' \ -H 'Connection-Id: string' \ -H 'Provider-Config-Key: string' \ -H 'Content-Type: application/json' \ -d '{}'